package com.bonus.canteen.core.supply.purchase.constants;

public enum NoticeTemplateTypeEnum {
   SMS(1, "短信"),
   GZH(2, "公众号"),
   APPLET(3, "小程序"),
   DING_TALK(4, "钉钉"),
   WORK_WX(5, "企业微信");

   private final Integer key;
   private final String desc;

   private NoticeTemplateTypeEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public static String getDesc(Integer key) {
      NoticeTemplateTypeEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         NoticeTemplateTypeEnum temp = var1[var3];
         if (temp.getKey().equals(key)) {
            return temp.getDesc();
         }
      }

      return null;
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }
}
